Bug 819332 (Currency, Lira, Turkish)

Summary: New Turkish Liras Symbol Request
Product: [Fedora] Fedora Reporter: ONURALP SEZER <thunderbirdtr>
Component: dejavu-fontsAssignee: Nicolas Mailhot <nicolas.mailhot>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 17CC: bl.bugs, dennis, fonts-bugs, nicolas.mailhot, paul, peter
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 01:39:37 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description ONURALP SEZER 2012-05-06 13:19:36 EDT
Recently our country government was changed to our money symbol and publish new package for several OS one of is Redhat(Fedora etc).Could we change with new symbol to our money currency symbol. 

Links;

(Turkish Language) but you can see "Redhat Linux" and that compatible for Fedora. I already read PDF too.And in PDF headline you can see " Fedora " too .
 
http://www.tcmb.gov.tr/yeni/iletisimgm/TLSimge/TLSimgesiKurulumu/TLSimge_rpm.php



Thanks
Onuralp
Comment 1 Bill Nottingham 2012-05-07 15:05:02 EDT
So, we could either pull in this one font, or get the character added to Dejavu & similar locations.

Assiging to dejavu-fonts, which will also bring in people who can discuss the adding of a new font package.
Comment 2 ONURALP SEZER 2012-05-07 15:45:37 EDT
we can get the character and change to old one(or just add this one without delete old types) and update to dejavu-fonts look good idea.
Comment 3 Paul Flo Williams 2012-05-08 06:51:45 EDT
The font package that was linked to puts the Turkish Lira symbol at U+00A8 DIAERESIS, which is flat-out wrong.

There is a proposal (N4258R) to add the Turkish Lira symbol to UCS at U+20BA, along with other currency symbols, and I guess that might be pushed through quickly, as was done for the new Indian Rupee sign a while ago.

I'd suggest the best option is to push this to DejaVu and other font packages upstream, though it would be a shame to jump the gun and put the new symbol in the wrong place again.
Comment 4 Nicolas Mailhot 2012-05-09 07:41:41 EDT
Yes the request should be filled at the upstream of each of the major fonts we use.

Though at least for DejaVu, policy was to never add a symbol before the Unicode consortium had approved it and allocated a long-term codepoint, as fonts that make codepoint mistakes cause no end of interoperability problems (users tend to build documents that use the wrong temporary codepoint years after a new one was allocated, if you release 'temporary' fonts that let them do it)
Comment 5 Ben Laenen 2012-05-09 11:08:15 EDT
(In reply to comment #4)
> Yes the request should be filled at the upstream of each of the major fonts we
> use.
> 
> Though at least for DejaVu, policy was to never add a symbol before the Unicode
> consortium had approved it and allocated a long-term codepoint, as fonts that
> make codepoint mistakes cause no end of interoperability problems (users tend
> to build documents that use the wrong temporary codepoint years after a new one
> was allocated, if you release 'temporary' fonts that let them do it)

We did make a small exception in DejaVu for the rupee symbol, but that proposal was far enough to ensure that the code point wouldn't change anymore. I don't know how far the Turkish lira proposal has progressed.
Comment 6 Fedora End Of Life 2013-07-03 21:19:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 01:39:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.